This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 473885 - "ipcalc: netmask or prefix expected " during network initialization
"ipcalc: netmask or prefix expected " during network initialization
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 05:26 EST by Joachim Backes
Modified: 2008-12-16 00:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:24:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2008-12-01 05:26:12 EST
Description of problem:
During bootup and each "/etc/init.d/network restart" getting the following message (new in F10 - did't get in F9):

------------------------ snip ---------------------
Bringing up loopback interface:
Bringing up interface eth0:
Determining IP information for eth0...Nothing to flush.
ipcalc: netmask or prefix expected
Usage: ipcalc [OPTION...]
  -b, --broadcast     Display calculated broadcast address
  -h, --hostname      Show hostname determined via DNS
  -m, --netmask       Display default netmask for IP (class A, B, or C)
  -n, --network       Display network address
  -p, --prefix        Display network prefix
  -s, --silent        Don't ever display error messages

Help options:
  -?, --help          Show this help message
  --usage             Display brief usage message
Nothing to flush.
Nothing to flush.
-------------------------- snip ----------------------
Version-Release number of selected component (if applicable):
initscripts-8.86-1.i386

How reproducible:
Each time

Steps to Reproduce:
1.Boot the box, or restart the network
2.
3.
  
Actual results:
ipcalc warning

Expected results:
no ipcalc warning

Additional info:
1. The network runs OK
2. NetworkManager is switched off on my box. But the messages appears too if I use NetworkManager
Comment 1 Bill Nottingham 2008-12-01 12:12:01 EST
Please attach your config files.
Comment 2 Joachim Backes 2008-12-01 12:52:18 EST
/etc/sysconfig/network-scripts/ifcfg-eth0:

# nVidia Corporation nForce2 Ethernet Controller
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0c:76:c0:40:36
ONBOOT=yes
TYPE=Ethernet
USERCTL=no
PEERDNS=no
IPV6INIT=no
NM_CONTROLLED=no

Do you need more config files?
Comment 3 Bill Nottingham 2008-12-01 13:15:38 EST
Can you attach your /var/run/dhclient-eth0.lease file?

This *looks* to be coming from dhclient-script.
Comment 4 Joachim Backes 2008-12-02 01:01:17 EST
I'm sorry, but there is no file  /var/run/dhclient-eth0.lease. The only one is /var/run/dhclient-eth0.pid
Comment 5 David Cantrell 2008-12-03 22:44:27 EST
I've got a patch for dhclient-script coming in a testing update.
Comment 6 Fedora Update System 2008-12-03 22:49:50 EST
dhcp-4.0.0-33.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-33.fc10
Comment 7 Joachim Backes 2008-12-04 02:21:37 EST
By installing dhclient from this package, I got rid from the ipcalc message.
Comment 8 Fedora Update System 2008-12-06 23:24:12 EST
dhcp-4.0.0-33.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Andrew Schultz 2008-12-16 00:44:47 EST
Despite the announcement here and on the fedora-package-announce list and the status listed on https://admin.fedoraproject.org/updates/dhcp-4.0.0-33.fc10 it seems this update has not hit the fedora repositories.

http://download.fedora.redhat.com:/pub/fedora/linux/updates/10/i386/ still has 4.0.0-32 (which seems to have gone out just ~9 minutes before 4.0.0-33).

Note You need to log in before you can comment on or make changes to this bug.